## org.eclipse.wst.server.ui
Interface IServerModule

    public interface IServerModule

A helper interface for modules that are deployed to a server, commonly used to help actions interact with modules in the Servers view.

Since:
  3.0

Method Summary
`IModule[]` `getModule()` Returns the module.
`IServer` `getServer()` Return the server that the module belongs to.

Method Detail

### getServer

    IServer getServer()

  Return the server that the module belongs to.

  Returns:
    the server

### getModule

    IModule[] getModule()

  Returns the module.

  Returns:
    the module